package body nieczyste is

   function pierwiastek(x: in Long_Float;
                        y: out Long_Float) return Boolean
   is
      z: Long_Float;
   begin

      if x < 0.0 then
         return False;
      end if;

      y := x;
      z := 1.0;
      while abs(y-z) > 1.0e-5 loop
         y := (y + z) / 2.0;
         z := x / y;
      end loop;

      return True;

   end pierwiastek;

end nieczyste;
